%define oname   ruby_parser

Name:       ruby-%{oname}
Version:    2.3.1
Release:    %mkrel 6
Summary:    A ruby parser written in pure ruby
Group:      Development/Ruby
License:    MIT
URL:        http://parsetree.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:	    ruby_parser-CVE-2013-0162.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
ruby_parser (RP) is a ruby parser written in pure ruby (utilizing
racc--which does by default use a C extension). RP's output is the same as 
ParseTree's output: s-expressions using ruby's arrays and base types.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p1

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/ruby_parse
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt


%changelog

* Fri Mar 01 2013 luigiwalser <luigiwalser> 2.3.1-6.mga3
+ Revision: 400885
- add patch from redhat to fix CVE-2013-0162

* Fri Feb 08 2013 umeabot <umeabot> 2.3.1-5.mga3
+ Revision: 396423
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.3.1-4.mga3
+ Revision: 381414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 2.3.1-3.mga3
+ Revision: 313883
- rebuild for new ruby

* Tue Aug 14 2012 shlomif <shlomif> 2.3.1-2.mga3
+ Revision: 281305
- Made the package installable again.
  By excluding the old sexp_processor requires.

* Thu Jun 07 2012 solbu <solbu> 2.3.1-1.mga3
+ Revision: 256718
- New version
- Spec cleanup

* Sat Apr 16 2011 shikamaru <shikamaru> 2.0.6-1.mga1
+ Revision: 86470
- new version 2.0.6

* Tue Jan 25 2011 shikamaru <shikamaru> 2.0.5-3.mga1
+ Revision: 39635
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 2.0.5-2.mga1
+ Revision: 37818
- imported package ruby-ruby_parser

